/**
 * 设置转化链接。
 * Set convert url.
 *
 * @param  string subIDs
 * @param  number storyIDs
 * @access public
 * @return void
 */
window.setConvertUrl = function(subIDs, storyIDs)
{
    $.ajaxSubmit({
        url: $.createLink('board', 'ajaxSetConvertUrl'),
        data: {
            objectType: storyType,
            subIDs,
            storyIDs,
        },
        onFail: (error) => {
            if(error?.message) zui.Modal.alert({message: error?.message});
        }
    });
}

window.clickNext = function()
{
    const product = $('[name^=product]').val();
    const pool    = $('[name^=pool]').val();
    let project   = $('[name^=project]').val();

    if(projects && product && products[product])
    {
        $.each(projects, function(projectID, projectName)
        {
            if (projectName === products[product]) project = projectID;
        });
    }
    if(!product && !pool) $('.select-product .text-danger').removeClass('hidden');
    if(product || pool)
    {
        let url = $.createLink(storyType, 'batchCreate', `productID=${product}&branch=&moduleID=0&storyID=0&project=${project}&plan=0&storyType=${storyType}&extra=boardID=${boardID}`);
        if(storyType === 'demand') url = $.createLink('demand', 'batchCreate',`poolID=${pool}&demandID=0&confirm=no&extra=boardID=${boardID}`);
        if(storyType === 'projectstory') url = $.createLink('story', 'batchCreate', `productID=${product}&branch=&moduleID=0&storyID=0&project=${project}&plan=0&storyType=story&extra=boardID=${boardID}`);
        zui.Modal.hide();
        parent.zui.Modal.open(
            {
                type: 'ajax',
                request: {
                    url: url,
                    method: 'post',
                    data: {storyNames, subIDs}
                },
                size: 'lg'
            }
        );
    }
}

window.loadProduct = function(e)
{
    const $this     = $(e.target);
    const productID = $this.val();
    const $modal    = $this.closest('.modal');
    const inModal   = $modal.length > 0;
    const options   = zui.Modal.query('#' + $modal.attr('id'))._options;
    let   request   = options.request ? options.request: null;
    const link      = $.createLink(storyType, 'create',  'productID=' + productID + '&' + createParams);

    if(inModal)  loadModal(request ? {request: {...request, url: link}} : link,  $modal.attr('id'));
    if(!inModal) loadPage(link);
};
