<?php
/**
 * 更新字段。
 * Update fields.
 *
 * @param  object $story
 * @access public
 * @return void
 */
public function updateFieldForBoard($story)
{
    global $config;
    $oldStory = $this->getById($story->id);

    if($story->objectType === 'demand')
    {
        $this->dao->update(TABLE_DEMAND)
            ->set($story->field)->eq($story->value)
            ->where('id')->eq($story->id)
            ->exec();

        unset($story->field);
        unset($story->value);
    }
    else
    {
        $clone    = clone $oldStory;
        $newStory = new stdclass();
        $clone->{$story->field} = $story->value;
        $clone->lastEditedDate  = $story->lastEditedDate;
        $clone->lastEditedBy    = $story->lastEditedBy;

        $fields = $this->config->story->form->edit;
        $fields['linkStories'] = array();
        $fields['linkRequirements'] = array();
        $fields['lastEditedDate'] = array();
        $fields['lastEditedBy'] = array();

        foreach ($fields as $key => $attr){ $newStory->$key = isset($clone->$key) ? $clone->$key : null;}
        $this->update($story->id, $newStory);
    }

    $changes = common::createChanges($oldStory, $story);
    if(!empty($changes))
    {
        $this->loadModel('action');
        if($story->objectType === 'demand')
        {
            $actionID = $this->action->create('demand', $story->id, 'Edited', '');
            $this->action->logHistory($actionID, $changes);
        }
        if(!empty($oldStory->twins)) $this->syncTwins($oldStory->id, $oldStory->twins, $changes, 'Edited');
        $this->action->create('board', $story->canvasID, 'editedStory');
    }
}
