<?php
/**
 * 如果是在弹窗中打开页面，获取跳转地址。
 * Get response when open in modal.
 *
 * @param  string    $message
 * @param  array     $storyIdList
 * @param  string    $extra
 * @param  string    $storyType
 * @access protected
 * @return array|false
 */
protected function getResponseInModal($message = '', $storyIdList = array(), $extra = '', $storyType = 'story')
{
    if(!isInModal()) return false;
    $execution = $this->execution->getByID((int)$this->session->execution);
    if($this->app->tab == 'execution' and $execution->type == 'kanban')
    {
        return $this->send(array('result' => 'success', 'message' => $this->lang->saveSuccess, 'callback' => "refreshKanban()", 'closeModal' => true));
    }
    elseif (!empty($extra) && !empty($storyIdList))
    {
        $extra  = str_replace(array(',', ' '), array('&', ''), $extra);
        parse_str($extra, $output);
        $boardID  = isset($output['boardID']) ? $output['boardID'] : '';
        $subIDs   = isset($_POST['subIDs']) ? $_POST['subIDs'] : json_encode([]);
        $storyIds = json_encode(array_values($storyIdList));
        foreach ($storyIdList as $index => $storyID)
        {
            $this->loadModel('action')->create('story', $storyID, 'fromboard', '', $boardID);
            $this->loadModel('action')->create('board', $boardID, 'convert' . $storyType, '', $storyID);
        }
        return $this->send(array('result' => 'success', 'message' => $this->lang->saveSuccess, 'load' => empty($boardID) ? true : null, 'closeModal' => true, 'callback' => "setConvertUrl('$subIDs', '$storyIds')"));
    }
    else
    {
        return $this->send(array('result' => 'success', 'message' => $this->lang->saveSuccess, 'load' => true, 'closeModal' => true));
    }
}
